org.apache.cassandra.db.rows

## Class NativeCell

- java.lang.Object
- - org.apache.cassandra.db.rows.ColumnData
  - - org.apache.cassandra.db.rows.Cell
    - - org.apache.cassandra.db.rows.AbstractCell
      - - org.apache.cassandra.db.rows.NativeCell

    public class NativeCell
    extends AbstractCell

### Field Summary

### Fields inherited from class org.apache.cassandra.db.rows.Cell

`comparator, MAX_DELETION_TIME, NO_DELETION_TIME, NO_TTL, serializer`

### Fields inherited from class org.apache.cassandra.db.rows.ColumnData

`column`

### Constructor Summary

Constructors
Constructor and Description
`NativeCell(NativeAllocator allocator, OpOrder.Group writeOp, Cell cell)`
`NativeCell(NativeAllocator allocator, OpOrder.Group writeOp, ColumnDefinition column, long timestamp, int ttl, int localDeletionTime, java.nio.ByteBuffer value, CellPath path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `localDeletionTime()` The cell local deletion time.
`CellPath` `path()` For cells belonging to complex types (non-frozen collection and UDT), the path to the cell.
`long` `timestamp()` The cell timestamp.
`int` `ttl()` The cell ttl.
`long` `unsharedHeapSizeExcludingData()`
`java.nio.ByteBuffer` `value()` The cell value.
`Cell` `withUpdatedColumn(ColumnDefinition column)`
`Cell` `withUpdatedTimestampAndLocalDeletionTime(long newTimestamp, int newLocalDeletionTime)`
`Cell` `withUpdatedValue(java.nio.ByteBuffer newValue)`

### Methods inherited from class org.apache.cassandra.db.rows.AbstractCell

`copy, dataSize, digest, equals, hashCode, isCounterCell, isExpiring, isLive, isTombstone, markCounterLocalToBeCleared, maxTimestamp, purge, toString, updateAllTimestamp, validate`

### Methods inherited from class org.apache.cassandra.db.rows.ColumnData

`column`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NativeCell

    public NativeCell(NativeAllocator allocator,
                      OpOrder.Group writeOp,
                      Cell cell)

#### NativeCell

    public NativeCell(NativeAllocator allocator,
                      OpOrder.Group writeOp,
                      ColumnDefinition column,
                      long timestamp,
                      int ttl,
                      int localDeletionTime,
                      java.nio.ByteBuffer value,
                      CellPath path)

### Method Detail

#### timestamp

    public long timestamp()

Description copied from class: `Cell`
The cell timestamp.

Specified by:
  `timestamp` in class `Cell`
Returns:
  the cell timestamp.

#### ttl

    public int ttl()

Description copied from class: `Cell`
The cell ttl.

Specified by:
  `ttl` in class `Cell`
Returns:
  the cell ttl, or `NO_TTL` if the cell isn't an expiring one.

#### localDeletionTime

    public int localDeletionTime()

Description copied from class: `Cell`
The cell local deletion time.

Specified by:
  `localDeletionTime` in class `Cell`
Returns:
  the cell local deletion time, or `NO_DELETION_TIME` if the cell is neither a tombstone nor an expiring one.

#### value

    public java.nio.ByteBuffer value()

Description copied from class: `Cell`
The cell value.

Specified by:
  `value` in class `Cell`
Returns:
  the cell value.

#### path

    public CellPath path()

Description copied from class: `Cell`
For cells belonging to complex types (non-frozen collection and UDT), the path to the cell.

Specified by:
  `path` in class `Cell`
Returns:
  the cell path for cells of complex column, and `null` for other cells.

#### withUpdatedValue

    public Cell withUpdatedValue(java.nio.ByteBuffer newValue)

Specified by:
  `withUpdatedValue` in class `Cell`

#### withUpdatedTimestampAndLocalDeletionTime

    public Cell withUpdatedTimestampAndLocalDeletionTime(long newTimestamp,
                                                         int newLocalDeletionTime)

Specified by:
  `withUpdatedTimestampAndLocalDeletionTime` in class `Cell`

#### withUpdatedColumn

    public Cell withUpdatedColumn(ColumnDefinition column)

Specified by:
  `withUpdatedColumn` in class `Cell`

#### unsharedHeapSizeExcludingData

    public long unsharedHeapSizeExcludingData()

Specified by:
  `unsharedHeapSizeExcludingData` in class `ColumnData`